#
# spec file for package cross-arm-binutils (Version 010118)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         cross-arm-binutils
Copyright:    LGPL/GPL
Group:        Development/Tools
Prefix:	      /opt/cross
Autoreqprov:  off
Provides:     cross-arm-binutils
Version:      010118
Release:      140
Summary:      GNU binutils for cross-development to ARM processors
Source:       ftp://ftp.valinux.com/pub/support/hjl/binutils/binutils-%{version}.tar.bz2
BuildRoot:    /tmp/cross-arm-binutils

%description
Cross development utilities: ar, as, gasp, gprof, ld, nm, objcopy, objdump,
ranlib, size, strings, strip.  These utilities are needed whenever you
want to compile a program or a kernel.  This package differs from the
normal SuSE binutils package in that it is designed to cross-compile
from whatever platform SuSE Linux is running on to ARM targets. This can
be handy even if you are running on an ARM development platform, as it
decouples the host tools from your embedded tools.

Authors:
--------
    H.J. Lu <hjl@nynexst.com>
    Ken Raeburn <raeburn@cygnus.com>
    Ian Lance Taylor <ian@cygnus.com>
    J.T. Conklin <jtc@cygnus.com>
    Stan Shebs <shebs@cygnus.com>
    Steve Chamberlain <sac@cygnus.com>
    David J. Mackenzie <djm@cygnus.com>
    Jeffrey A. Law <law@cygnus.com>
    Sean Eric Fagan <sef@cygnus.com>
    Jeffrey Osier <jeffrey@cygnus.com>
    Jeffrey Wheat <cassidy@cygnus.com>
    Mark Eichin <eichin@cygnus.com>
    Roland H. Pesch <pesch@wrs.com>
    Per Bothner <bothner@cygnus.com>
    David D "Zoo" Zuhn <zoo@cygnus.com>
    Rob Savoye <rob@cygnus.com>
    Jim Kingdon <kingdon@cygnus.com>
    Mike Werner <mtw@cygnus.com>
    Fred Fish <fnf@cygnus.com>
    John Gilmore <gnu@cygnus.com>
    Brendan Kehoe <brendan@cygnus.com>
    D. V. Henkel-Wallace <gumby@cygnus.com>
    K. Richard Pixley <rich@cygnus.com>
    Bill Cox <bill@cygnus.com>
    Peter Schauer <pes@regent.e-technik.tu-muenchen.de>
    Eric Youngdale <eric@aib.com>
    Richard Earnshaw <rwe@pegasus.esprit.ec.org>
    Doug Evans <dje@cygnus.com>
    Ian Dall <dall@hfrd.dsto.gov.au>
    Jason Merrill <jason@cygnus.com>
    Jim Wilson <wilson@cygnus.com>
    Kung Hsu <kung@cygnus.com>
    Michael Meissne <meissner@osf.org>
    Michael Tiemann <tiemann@cygnus.com>
    Richard Stallman <rms@gnu.ai.mit.edu>
    Stu Grossman <grossman@cygnus.com>
    Torbjorn Granlund <tege@cygnus.com>

SuSE series: d

%define HOST %(echo %{_target_cpu}|sed -e "s/i.86/i486/" -e "s/ppc/powerpc/")-suse-linux
%define TARGET arm
%prep
%setup -n binutils-%{version}
#%patch -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p0

%build
( cd ld; automake )
CFLAGS="${RPM_OPT_FLAGS}" CC=gcc LDFLAGS="-s" ./configure --prefix=%{prefix} \
        --with-gnu-ld --with-gnu-as --host=%{HOST} --target=%{TARGET}-linux
make all

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/%{TARGET}-linux-*
strip $RPM_BUILD_ROOT%{prefix}/%{TARGET}-linux/bin/*
rm -rf $RPM_BUILD_ROOT%{prefix}/man
rm -rf $RPM_BUILD_ROOT%{prefix}/lib
rm -rf $RPM_BUILD_ROOT%{prefix}/include
rm $RPM_BUILD_ROOT%{prefix}/bin/%{TARGET}-linux-c++filt

%clean
rm -rf $RPM_BUILD_ROOT

%files
# c++filt is part of the gcc package
%dir /opt/cross/arm-linux
%dir /opt/cross/arm-linux/bin
%dir /opt/cross/arm-linux/lib
%dir /opt/cross/arm-linux/lib/ldscripts
/opt/cross/arm-linux/bin/ar
/opt/cross/arm-linux/bin/as
/opt/cross/arm-linux/bin/ld
/opt/cross/arm-linux/bin/nm
/opt/cross/arm-linux/bin/ranlib
/opt/cross/arm-linux/bin/strip
/opt/cross/arm-linux/lib/ldscripts/armelf.x
/opt/cross/arm-linux/lib/ldscripts/armelf.xbn
/opt/cross/arm-linux/lib/ldscripts/armelf.xn
/opt/cross/arm-linux/lib/ldscripts/armelf.xr
/opt/cross/arm-linux/lib/ldscripts/armelf.xs
/opt/cross/arm-linux/lib/ldscripts/armelf.xu
/opt/cross/arm-linux/lib/ldscripts/armelf_linux.x
/opt/cross/arm-linux/lib/ldscripts/armelf_linux.xbn
/opt/cross/arm-linux/lib/ldscripts/armelf_linux.xn
/opt/cross/arm-linux/lib/ldscripts/armelf_linux.xr
/opt/cross/arm-linux/lib/ldscripts/armelf_linux.xs
/opt/cross/arm-linux/lib/ldscripts/armelf_linux.xu
/opt/cross/arm-linux/lib/ldscripts/armelf_linux26.x
/opt/cross/arm-linux/lib/ldscripts/armelf_linux26.xbn
/opt/cross/arm-linux/lib/ldscripts/armelf_linux26.xn
/opt/cross/arm-linux/lib/ldscripts/armelf_linux26.xr
/opt/cross/arm-linux/lib/ldscripts/armelf_linux26.xs
/opt/cross/arm-linux/lib/ldscripts/armelf_linux26.xu
/opt/cross/bin/arm-linux-addr2line
/opt/cross/bin/arm-linux-ar
/opt/cross/bin/arm-linux-as
/opt/cross/bin/arm-linux-gasp
/opt/cross/bin/arm-linux-ld
/opt/cross/bin/arm-linux-nm
/opt/cross/bin/arm-linux-objcopy
/opt/cross/bin/arm-linux-objdump
/opt/cross/bin/arm-linux-ranlib
/opt/cross/bin/arm-linux-readelf
/opt/cross/bin/arm-linux-size
/opt/cross/bin/arm-linux-strings
/opt/cross/bin/arm-linux-strip

%changelog -n cross-arm-binutils
* Mon Jan 22 2001 - uli@suse.de
- update -> CVS 2001/01/18
* Wed Jan 17 2001 - uli@suse.de
- update -> 2.10.1
* Fri Dec 22 2000 - uli@suse.de
- initial package based on cross-ppc-binutils
%changelog -n cross-ppc-binutils
* Wed Jan 17 2001 - uli@suse.de
- update -> 2.10.1
* Sat Nov 25 2000 - peterb@suse.de
- Added $RPM_BUILD_ROOT before names of directories removed
- toward the end of the install section. Also remove the file
- powerpc-linux-c++filt as it is supplied by gcc package.
* Fri Nov 24 2000 - peterb@suse.de
- Initial creation
%changelog -n cross-s390-binutils
* Wed Mar 21 2001 - bk@suse.de
- fixed package name to cross-s390-binutils
- reformatted configure and added simple executable test in %%install
* Wed Mar 21 2001 - bk@suse.de
- copied from cross-s390x-binutils.spec
%changelog -n cross-x86-binutils
* Wed Jan 17 2001 - uli@suse.de
- update -> 2.10.1
* Sat Nov 25 2000 - peterb@suse.de
- Added $RPM_BUILD_ROOT before names of directories removed
- toward the end of the install section. Also remove the file
- i386-linux-c++filt as it is supplied by gcc package.
* Fri Nov 24 2000 - peterb@suse.de
- Initial creation
